version: "3.9"

services:

  app:
    build:
      target: develop
    user: vscode
    userns_mode: keep-id:uid=1000,gid=1000
    environment:
      SSH_AUTH_SOCK: /.ssh/ssh-agent.sock
    command: /bin/sh -c "while sleep 2s; do :; done"
    volumes:
      - ..:/workspace/kpi-generator:cached
      - ./.vscode-server:/home/vscode/.vscode-server/:cached
      - ${SSH_AUTH_SOCK}:/.ssh/ssh-agent.sock
    networks:
      - default

networks:
  default:
    driver: bridge
